Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectstyle.cayenne.util
Class PropertyComparator

    java.lang.Object
      org.objectstyle.cayenne.util.PropertyComparator

All Implemented Interfaces:
  java.util.Comparator

Deprecated. unused since 1.2. You may want to check PropertyUtils for quick property access methods.

    public class PropertyComparator

extends java.lang.Object
implements java.util.Comparator

Comparator that can compare Java beans based on a value of a property. Bean property must be readable and its type must be an instance of Comparable.

Author:
  Andrei Adamchik

Field Summary
`protected boolean` | `ascending` Deprecated.
`protected java.lang.reflect.Method` | `getter` Deprecated.

Constructor Summary
`PropertyComparator(java.lang.String propertyName, java.lang.Class beanClass)` Deprecated.
`PropertyComparator(java.lang.String propertyName, java.lang.Class beanClass, boolean ascending)` Deprecated.

Method Summary
`static java.lang.String` | `capitalize(java.lang.String s)` Deprecated.
`int` | `compare(java.lang.Object o1, java.lang.Object o2)` Deprecated.
`protected int` | `compareAsc(java.lang.Object o1, java.lang.Object o2)` Deprecated.
`static java.lang.reflect.Method` | `findReadMethod(java.lang.String propertyName, java.lang.Class beanClass)` Deprecated.
`static java.lang.Object` | `readProperty(java.lang.String propertyName, java.lang.Object bean)` Deprecated. Method to read a simple one-step property of a JavaBean.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Comparator
`equals`

Field Detail

### getter

    protected java.lang.reflect.Method getter

  Deprecated.

### ascending

    protected boolean ascending

  Deprecated.

Constructor Detail

### PropertyComparator

    public PropertyComparator(java.lang.String propertyName,
                              java.lang.Class beanClass)

  Deprecated.

### PropertyComparator

    public PropertyComparator(java.lang.String propertyName,
                              java.lang.Class beanClass,
                              boolean ascending)

  Deprecated.

Method Detail

### capitalize

    public static java.lang.String capitalize(java.lang.String s)

  Deprecated.

### findReadMethod

    public static java.lang.reflect.Method findReadMethod(java.lang.String propertyName,
                                                          java.lang.Class beanClass)

  Deprecated.

### readProperty

    public static java.lang.Object readProperty(java.lang.String propertyName,
                                                java.lang.Object bean)
                                         throws java.lang.NoSuchMethodException,
                                                java.lang.IllegalAccessException,
                                                java.lang.reflect.InvocationTargetException

  Deprecated.
  Method to read a simple one-step property of a JavaBean.

  Throws:
    `java.lang.NoSuchMethodException`
    `java.lang.IllegalAccessException`
    `java.lang.reflect.InvocationTargetException`

### compare

    public int compare(java.lang.Object o1,
                       java.lang.Object o2)

  Deprecated.
  Specified by:
    `compare` in interface `java.util.Comparator`
  See Also:
    `Comparator.compare(Object, Object)`

### compareAsc

    protected int compareAsc(java.lang.Object o1,
                             java.lang.Object o2)

  Deprecated.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 ObjectStyle.org All Rights Reserved.